darcs

Issue 2244 darcs tag should warn about duplicate tags

Title darcs tag should warn about duplicate tags
Priority urgent Status resolved
Milestone Resolved in 2.10.0 HEAD
Superseder Nosy List alex.aegf, nomeata
Assigned To alex.aegf
Topics

Created on 2012-09-28.19:37:51 by nomeata, last changed 2014-05-07.18:42:02 by noreply.

Messages
msg16131 (view) Author: nomeata Date: 2012-09-28.19:37:49
Hi,

sometimes I forget that I just tagged a release and tag it again; which
is not nice. "darcs tag x" should give a warning if "x" is already in
the repository and ask if I really want to tag it.

Bonus points if it tells me whether the existing tag is the top-most
patch, i.e. if I am about to tag the exact same state as before, or
whether I was about to tag something different.

Thanks,
Joachim
msg17316 (view) Author: bf Date: 2014-04-09.19:41:53
I am marking this as urgent. This is a long-standing problem with darcs
and a warning would at least help reduce the probability of fatal mistakes.
msg17351 (view) Author: gh Date: 2014-04-14.15:05:06
Querying a tag from a repo was is a cheap operation, since it's only a
matter of scanning inventories. And yes, this would be a UI improvement.
msg17433 (view) Author: noreply Date: 2014-05-07.18:42:01
The following patch sent by Ale Gadea <alex.aegf@gmail.com> updated issue Issue2244 with
status=resolved;resolvedin=2.10.0 HEAD

* Resolve Issue2244: darcs tag should warn about duplicate tags 
Ignore-this: 8d25e1130bff79907d3db39d02f40197
Make darcs tag t, with t already an existing tag, cause a warning message.
History
Date User Action Args
2012-09-28 19:37:51nomeatacreate
2014-04-09 19:41:54bfsetpriority: urgent
messages: + msg17316
2014-04-10 18:38:18ghsetassignedto: alex.aegf
nosy: + alex.aegf
2014-04-14 15:05:07ghsetmessages: + msg17351
2014-05-07 18:42:02noreplysetstatus: unknown -> resolved
messages: + msg17433
resolvedin: 2.10.0 HEAD